## org.apache.lucene.store
Class NoLockFactory

    java.lang.Object
      org.apache.lucene.store.LockFactory
          org.apache.lucene.store.NoLockFactory

    public class NoLockFactory

extends LockFactory

Use this `LockFactory` to disable locking entirely. This LockFactory is used when you call `FSDirectory.setDisableLocks(boolean)`. Only one instance of this lock is created. You should call `getNoLockFactory()` to get the instance.

See Also:
  `LockFactory`

Field Summary

Fields inherited from class org.apache.lucene.store.LockFactory
`lockPrefix`

Constructor Summary
`NoLockFactory()`

Method Summary
`void` `clearLock(java.lang.String lockName)` Attempt to clear (forcefully unlock and remove) the specified lock.
`static NoLockFactory` `getNoLockFactory()`
`Lock` `makeLock(java.lang.String lockName)` Return a new Lock instance identified by lockName.

Methods inherited from class org.apache.lucene.store.LockFactory
`getLockPrefix, setLockPrefix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoLockFactory

    public NoLockFactory()

Method Detail

### getNoLockFactory

    public static NoLockFactory getNoLockFactory()

### makeLock

    public Lock makeLock(java.lang.String lockName)

  Description copied from class: `LockFactory`
  Return a new Lock instance identified by lockName.

  Specified by:
    `makeLock` in class `LockFactory`
  Parameters:
    `lockName` - name of the lock to be created.

### clearLock

    public void clearLock(java.lang.String lockName)

  Description copied from class: `LockFactory`
  Attempt to clear (forcefully unlock and remove) the specified lock. Only call this at a time when you are certain this lock is no longer in use.

  Specified by:
    `clearLock` in class `LockFactory`
  Parameters:
    `lockName` - name of the lock to be cleared.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.